{ ... }: {
  xdg.configFile."nvim/lua/options.lua".text = ''
    local opt = vim.opt
    opt.showmode = false
    opt.number = true 
    opt.relativenumber = true 
    opt.tabstop = 4 
    opt.shiftwidth = 4 
    opt.expandtab = true 
    opt.autoindent = true 
    opt.smartindent = true 
    opt.termguicolors = true 
    opt.background = "dark" 
    opt.signcolumn = "yes" 
    opt.cursorline = true 
    opt.listchars = "tab: ,multispace:|   ,eol:󰌑" 
    opt.list = true 
    opt.winborder = "rounded" 
    opt.backspace = "indent,eol,start" 
    opt.clipboard:append("unnamedplus") 
  '';
}
